Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Points

Get Points
GET /highscores/{highscoreId}/points
https://api.relesysapp.net/api/v1.1/highscores/{highscoreId}/points
Get a list of all points given for the highscore with ID highscoreId.
Default sort is by creationDateTime in ascending order.
isManuallyGiven indicates whether a point entry has been manually given or not.
Scopes: relesys.api, relesys.api:read, relesys.api.highscores, relesys.api.highscores:read
URL Path
highscoreId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
isManuallyGiven boolean Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"03c25150-52d8-4fd0-8166-3b70f8b8b83d","userId":"21bc8ac4-e523-489d-acdc-76dcdb6414f2","creationDateTime":"2026-11-13T20:44:12.1505607+00:00","description":"Example description 1","isManuallyGiven":true,"value":10},{"id":"e6699cf4-6a99-429b-ba5a-78c2bb2ed650","userId":"38bff7da-45ac-485e-a88f-62cdb5f11587","creationDateTime":"2026-11-13T20:44:12.1505607+00:00","description":"Example description 2","isManuallyGiven":false,"value":25}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   description string      
   id string / guid      
   isManuallyGiven boolean      
   userId string / guid      
   value integer      
  nextUrl string      
  previousUrl string